/* --- Global css --- */
@font-face 
{
    font-family: 'open_sans';
    src: url("fonts/OpenSans-Regular.ttf");
}
@font-face 
{
    font-family: 'movie';
    src: url("fonts/SAM_5C_27TRG_.TTF");
}

.bloc_titles h1 
{
    font-weight: lighter;
}
*
{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: 'open_sans', sans-serif;
}
::-webkit-scrollbar 
{
    width: 12px;
}
 
::-webkit-scrollbar-track 
{
    background-color: #ddd;
}
 
::-webkit-scrollbar-thumb 
{
    border: solid 3px #ddd;
    background-color: rgb(147, 139, 148);
}

/* --- Navigation bar Template --- */
a
{
    text-decoration: none;
}
li
{
    list-style-type: none;
}
.header_nav
{
    position: fixed;
    z-index: 2;
    top:0;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.06);
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid transparent;
    border-image: linear-gradient(to right,transparent,rgba(255,255,255,0.7),transparent);
    border-image-slice: 1;
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -o-transition: 0.3s;
    -ms-transition: 0.3s;
}
.page_footer
{
    position: absolute;
    z-index: 1;
}
.header_nav a
{
    color:#f7f7f7ee;
}
header
{
    padding-left: 20px;
}
.nav_logo , header span 
{
    display: inline-block;
    vertical-align: middle;
}
.nav_logo 
{
    height: 34px;
    width: 34px;
    background: url("../ressources/logos_icones/MovieFinder_logo2.png") no-repeat center;
    background-size: contain;
}
.menu_horizontal
{
    margin-right: 10px;
}
.menu_horizontal ul 
{
    display: flex;
    align-items: center;
}
.menu_horizontal ul li
{
    position: relative;
    padding: 16px 16px;
    letter-spacing: 1px;
    font-size: 0.96em;
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -o-transition: 0.3s;
    -ms-transition: 0.3s;
}
.menu_horizontal li a
{
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -o-transition: 0.3s;
    -ms-transition: 0.3s;
}
header h1
{
    font-size: 1.3em;
    font-weight:lighter;
    letter-spacing: 2px;
}
.menu_horizontal li:hover
{
    cursor:pointer;
}
.humburger
{
    cursor: pointer;
    font-size:1.5em;
    font-weight: lighter;
    color:#ddd;
    position:fixed;
    top:8px;
    left: 12px; 
}

/* Side menu : */
.menu_vertical
{
    width: 0px;
    position: fixed;
    z-index: 3;
    top:0;
    left:0px;
    overflow-y: auto;
    overflow-x: hidden;
    height: 100%;
    background-color: rgba(24, 28, 31, 0.952);

    transition: 0.5s; 
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -o-transition: 0.5s;
    -ms-transition: 0.5s;
}
.menu_vertical ul
{
    width: 250px;
}
.menu_vertical a
{
    color:#ddd;
}
.menu_vertical li
{
    padding:10px 10px 10px 20px;
    cursor:pointer;
    overflow: hidden;
}
.menu_vertical > ul > li:nth-child(1)
{
    padding: 7px 0px 7px 0px;
    color:#f7f7f7c7;
    text-align: center;
    font-size: 25px;
    font-weight: lighter;
    border-bottom: 1px solid transparent;
    border-image: linear-gradient(to right,transparent,#f7f7f7d2,transparent);
    border-image-slice: 1;
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -o-transition: 0.3s;
    -ms-transition: 0.3s;
}
.menu_vertical > ul > li:nth-child(1):hover
{
    color: rgba(24, 28, 31, 0.877);
}

/* -------------- Medias queries  -------------- */

@media(max-width:940px)
{
    .header_nav
    {
        height: 54px;
    }
    .menu_horizontal ul li
    {
        display: none;
    }
    header
    {
        display: block;
        margin: auto;
    }
}
@media(min-width:941px)
{
    .humburger
    {
        display: none;
    }
}
@media(max-width:600px)
{
    header h1 
    {
        font-size: 1em;
    }
    .menu_vertical li 
    {
        font-size: 0.9em;
    }
    .menu_vertical li:nth-child(1) i
    {
        font-size: 0.9em;
    }
}

/* --- Navigation bar Template (END) --- */

/* Media Finder - css */
body 
{
    background-color: rgb(22, 20, 22);
    background-size: cover;
    overflow-x: hidden;
}

.rs_fixed 
{
    position: relative;
    top: 40px;
}
.rs_fixed div 
{
  z-index: 50;
  position: absolute;
  right: -33px;

  border: solid 2px rgba(255,255,255,0.8);
  background-color: rgba(173, 40, 151, 0.8);
  color: rgba(255,255,255,0.8);
  height: 50px;
  width: 70px;
  text-align: left;
  border-radius: 20px 0 0 20px;
  font-size: 1.4em;
  padding: 9px 0 9px 12px;
  box-shadow: -4px 4px 4px rgba(0,0,0,0.1);
  transition: .3s;
  -moz-transition: .3s;
  -o-transition: .3s;
  -webkit-transition: .3s;
}
.rs_fixed div:hover 
{
  right: -15px;
}
.rs_fixed .fb_fix 
{
  top: 60px;
}
.rs_fixed .fb_fix:hover 
{
  color: white;
  background-color: rgb(61,78,154);
}
.rs_fixed .twitter_fix
{
  top: 115px;
}
.rs_fixed .twitter_fix:hover
{
  color: white;
  background-color: rgb(29,161,243);
}
.rs_fixed .insta_fix 
{
  top: 170px;
}
.rs_fixed .insta_fix:hover 
{
  color: white;
  background: linear-gradient(to right, rgb(255,265,71),rgb(232,32,73),rgb(167,44,174));
}
.rs_fixed .gitHub_fix
{
  top: 225px;
}
.rs_fixed .gitHub_fix:hover
{
  color: rgb(214, 194, 143);
  background-color: rgb(27,31,35);
}

.haut_page, .bas_page
{
    position: fixed;
    bottom: 10px;
    font-size: 1.5em;
    z-index: 104;
    border-radius: 100%;

    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -o-transition: 0.3s;
    -ms-transition: 0.3s;
}
.haut_page 
{
    padding-bottom: 3px;
    visibility:hidden;
    right: 14px;
    color: transparent;
    background-color: transparent;
    border: none;
    box-shadow: none;
}
.haut_page a 
{
    cursor: default;
    color: transparent;
    padding: 3px 10px 4px 10px;
}
.bas_page 
{
    visibility: visible;
    left: 14px;
    color: rgba(255,255,255,0.8);
    background-color: rgba(255,255,255,0.1);
    border: solid 1px rgba(250,250,250,0.8);
    box-shadow: -3px 3px 3px rgba(0,0,0,0.3);
}
.bas_page a 
{
    cursor: pointer;
    color: rgb(255,255,255);
    padding: 6px 10px 6px 10px;
}

.banniere 
{
    height: 480px;
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: url("../ressources/images/movie_ban01.jpg") fixed no-repeat center;
    background-size: cover;
    box-shadow: 0 2px 6px 6px rgba(0,0,0,0.15);
    border-bottom: solid 1px rgba(221, 221, 221, 0.555);
}
.bloc_titles 
{
    text-align: center;
    margin-bottom: 40px;
    text-shadow: 4px 4px 4px rgba(0,0,0,0.3);
}
.bloc_titles h1 
{
    font-family: 'movie', sans-serif;
    color: rgb(253, 237, 253);
    text-shadow: 0 0 20px rgba(231, 119, 241, 0.945);
    font-size: 7em;
    letter-spacing: 2px;
    margin: 20px 0;
    border-bottom: 2px solid transparent;
    border-image: linear-gradient(to right,transparent,rgb(255, 228, 255),transparent);
    border-image-slice: 1;
}
.bloc_titles h1 span 
{
    font-family: 'movie', sans-serif;
    color: rgb(252, 221, 243);
    text-shadow: 0 0 15px rgb(241, 119, 204);
}
.bloc_titles h3 
{
    color: rgb(255, 240, 255);
    text-shadow: 0 0 10px rgba(231, 119, 241, 0.945);
    font-size: 1.2em;
    letter-spacing: 3px;
}
.bloc_input 
{
    text-align: center;
    position: relative;
    left: 24px;
}
.movie_input 
{
    width: 40vw;
    height: 36px;
    background-color: rgba(32, 22, 37, 0.9);
    text-align: center;
    border: solid 1px rgba(221, 221, 221, 0.76);
    border-radius: 4px;
    color: #ddd;
    font-size: 1em;
}
.validate_movie 
{
    color: #ddd;
    border-radius: 100%;
    border: solid 1px #ddd;
    padding: 8px;
    background-color: transparent;
    opacity: 0.8;
    margin-left: 10px;

    transition: all 0.2s;
    -webkit-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -o-transition: all 0.2s;
    -ms-transition: all 0.2s;
}
.validate_movie:hover 
{
    color: rgb(241, 241, 241);
    border: solid 1px rgb(241, 241, 241);
    cursor: pointer;
    opacity: 1;
    background-color: rgb(126,13,170);
    box-shadow: 0px 0px 4px rgba(255,255,255,0.5);
}

.match_list 
{
    border: solid 1px rgba(221, 221, 221, 0.726);
    width: 91.5%;
    border-radius: 0 0 10px 0;
    background-color: #0f0e0ffb;
    color: rgb(153, 153, 153);
    position: absolute;
    z-index: 10;
    display: none;
    box-shadow: 4px 4px 4px rgba(0,0,0,0.4);
}
.match_list li 
{
    padding: 5px;
    border-bottom: solid 1px rgba(221, 221, 221, 0.144);
    font-size: 0.85em;
    letter-spacing: 0.5px;
    color: rgb(184, 184, 184);

    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    -ms-transition: all 0.3s;
}
.match_list li span 
{
    color: rgba(153, 153, 153, 0.945);
}
.match_list li:nth-last-child(1)
{
    border-bottom: none;
    border-radius: 0 0 10px 0;
}
.match_list li:hover 
{
    cursor: pointer;
    background-color: rgb(126,13,170);
    color: rgb(236, 236, 236);
}

.bloc_result 
{
    display: none;
    z-index: 0;
    position: relative;
}
.bloc_result_wrap
{
    display: block;
    position: fixed;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    z-index: -1;
}
.result_title:before 
{
    content: '';
    position: absolute;
    height: 100%;
    width: 18%;
    left: 50%;
    bottom: 10px;
    margin-left: -9%;
    border-bottom: solid 4px rgb(182, 20, 197);
}
.result_title 
{
    text-align: center;
    padding: 20px;
    position: relative;
    margin-bottom: 10px;
}
.result_title h2 
{
    color: #ddd;
    font-size: 2em;
    letter-spacing: 3px;
    text-shadow: 4px 4px 4px rgba(0,0,0,0.6);
}
.result_movies
{
    width: 99vw;
    padding: 10px 2%;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
    grid-auto-rows: minmax(400px, auto);
    position: relative;
    margin: auto;
}
.bloc_movie 
{
    border: solid 1px rgba(221, 221, 221, 0.486);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0;
    border-radius: 6px;
    background-color: black;
    box-shadow: 4px 4px 3px rgba(0,0,0,0.3);
    position: relative;

    transition: all 0.1s;
    -webkit-transition: all 0.1s;
    -moz-transition: all 0.1s;
    -o-transition: all 0.1s;
    -ms-transition: all 0.1s;
}
.bloc_movie h2, .bloc_movie h3
{
    font-weight:normal;
}
.movie_img 
{
    width: 100%;
    border: solid 8px black;
    border-radius: 8px;
    margin-bottom: 6px;
}
.movie_description 
{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    position: relative;
    background: linear-gradient(to bottom,#2210252a, transparent);
    border-radius: 10px;
    border-top: solid 1px rgba(231, 216, 227, 0.274);
    padding: 10px 10px 0 10px;
}
.movie_title_date 
{
    margin-bottom: 3px;
    text-align: center;
}
.movie_title 
{
    font-size: 0.6em;
    font-weight: bold;
    color: rgba(221, 221, 221, 0.938);
    letter-spacing: 2px;
}
.movie_language 
{
    font-size: 0.75em;
    color: rgba(180, 180, 180, 0.87);
}
.movie_date
{
    font-size: 0.6em;
    color: rgb(180, 180, 180);
    letter-spacing: 1px;
    position: relative;
    top: -5px;
}
.movie_genres 
{
    color: rgb(209, 157, 197);
    position: relative;
    top: -7px;
    font-size: 0.8em;
    letter-spacing: 0.5px;
    text-align: center;
    width: 100%;
    padding-top: 3px;
    border-top: 1px solid transparent;
    border-image: linear-gradient(to right,transparent,rgba(255,255,255,0.4),transparent);
    border-image-slice: 1;
}
.movie_rating
{
    font-size: 0.95em;
    margin-bottom: 5px;
    color: #ddd;
    border: solid 1px rgba(221, 221, 221, 0.89);
    border-radius: 20px;
    background-color: rgb(116, 12, 129);
    padding: 2px 8px 3px 8px;
}
.movie_rating span 
{
    color: rgb(241, 241, 241);
    text-shadow: 0 0 3px rgba(255,255,255,0.4);
}
.movie_rating i 
{
    color: rgb(233, 220, 44);
}
.movie_info_btn
{
    margin: 6px 0 14px 0;
    height: 36px;
    width: 60%;
    border: solid 1px rgba(221, 221, 221, 0.774);
    background-color: transparent;
    color: rgba(221, 221, 221, 0.774);

    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    -ms-transition: all 0.3s;
}
.movie_info_btn:hover 
{
    cursor: pointer;
    border-radius: 8px;
    background-color: rgb(126,13,170);
    border: solid 1px #ddd;
    color: rgb(238, 237, 237);
}

.pagination_bloc 
{
    border: solid 1px rgba(221, 221, 221, 0.336);
    margin: 20px auto 40px auto;
    padding: 5px 10px;
    width: 90vw;
    color: #ddd;
    background-color: rgb(13, 14, 15);
    border-radius: 40px;
    box-shadow: 4px 4px 4px rgba(0,0,0,0.3);
}
.pagination_bloc ul 
{
    display: flex;
    justify-content: center;
    align-items: center;
}
.pagination_bloc ul li
{
    margin-right: 10px;
}
.page_prev, .page_next
{
    border-radius: 40px;
    color: rgb(197, 197, 197);
    font-size: 0.85em;
    padding: 10px;

    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    -ms-transition: all 0.3s;
}
.page_prev i, .page_next i 
{
    font-size: 1.4em;
    position: relative;
    top: 3px;
}
.page_prev:hover, .page_next:hover 
{
    cursor: pointer;
    text-shadow: 0 0 3px rgba(255,255,255,0.4);
    color: rgb(235, 235, 235);
}
.page_num 
{
    border: solid 2px rgb(182, 20, 197);
    border-radius: 20px;
    padding: 6px 10px;
    color: #ddd;
    font-weight: bold;
    background-color: #282e34;
    text-shadow: 2px 2px 2px rgba(0,0,0,0.4);
}
.page_first, .page_last 
{
    border: solid 1px #ddd;
    padding: 5px 9px;
    border-radius: 100%;

    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    -ms-transition: all 0.3s;
}
.page_first:hover, .page_last:hover
{
    cursor: pointer;
    color: rgb(236, 236, 236);
    text-shadow: 0 0 2px rgba(255,255,255,0.4);
    background-color: rgb(116, 12, 129);
}

/* MORE INFOS - Section */
.more_title 
{
    color: #ddd;
    font-size: 1.3em;
    padding: 20px 10px 10px 10px;
    text-align: center;
    letter-spacing: 2px;
    text-shadow: 4px 4px 2px rgba(0,0,0,0.4);
    border-bottom: 2px solid transparent;
    border-image: linear-gradient(to right,transparent,rgba(255,255,255,0.7),transparent);
    border-image-slice: 1;
    margin-bottom: 20px;
}
.more_infos1 
{
    color: #ddd;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
}
.more_pre_page, .popular_pre_page
{
    position: fixed;
    top: 70px;
    left: 20px;
    cursor: pointer;
    border: solid 1.5px rgba(221, 221, 221, 0.726);
    background-color: rgba(24, 9, 27, 0.651);
    border-radius: 6px;
    box-shadow: 4px 4px 3px rgba(0,0,0,0.4);
    padding: 2px 11px 5px 9px;
    letter-spacing: 1px;
    font-size: 0.75em;
    color: rgba(221, 221, 221, 0.795);
    text-shadow: 4px 4px 2px rgba(0,0,0,0.4);
    z-index: 100;

    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    -ms-transition: all 0.3s;
}
.more_pre_page i 
{
    font-size: 1.4em;
    position: relative;
    top: 2px;
}
.more_pre_page:hover
{
    color: rgb(221, 221, 221);
}
.more_genres 
{
    padding: 3px 10px 5px 10px;
    border: solid 2px rgba(221, 221, 221, 0.938);
    border-radius: 20px;
    background-color: rgb(116, 12, 129);
    box-shadow: 4px 4px 4px rgba(0,0,0,0.3);
    font-size: 0.8em;
    letter-spacing: 1px;
}
.more_infos2 
{
    color: rgb(199, 199, 199);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}
.more_infos2_2
{
    padding: 10px;
    letter-spacing: 1.5px;
    font-size: 0.8em; 
    font-weight: lighter !important;
    border-left: solid 5px rgb(160, 20, 179);
    background-color: rgba(12, 11, 12, 0.74);
    border-radius: 0 4px 4px 0;
    box-shadow: 4px 4px 2px rgba(0, 0, 0, 0.466);
    border-top: solid 1px rgba(221, 221, 221, 0.267);
    border-bottom: solid 1px rgba(221, 221, 221, 0.267);
    border-right: solid 1px rgba(221, 221, 221, 0.267);
}
.more_infos2_2 h3 
{
    margin-bottom: 6px;
    padding: 6px;
    text-shadow: 2px 2px 2px rgba(0,0,0,0.4);
}
.more_infos2_2 span 
{
    display: inline-block;
}
.more_infos2_2 span:nth-child(1)
{
    color: #ddd;
    border-bottom: 1px solid transparent;
    border-image: linear-gradient(to right, rgba(255,255,255,0.7),transparent);
    border-image-slice: 1;
}
.more_infos2 img 
{
    height: 70vh;
    border: solid 6px black;
    box-shadow: 0 0 2px rgb(246, 181, 255);
    border-radius: 10px;
    margin-right: 60px;
}
.more_trailers 
{
    width: 60vw;
    text-align: center;
    padding: 10px;
    margin: 0 auto;
}
.more_synopsis
{
    width: 60vw;
    text-align: center;
    padding: 10px;
    margin: 0 auto 60px auto;
}
.more_synopsis h3, .more_trailers h3
{
    color: rgb(207, 207, 207);
    font-size: 1.9em;
    letter-spacing: 3px;
    margin-bottom: 14px;
    padding-bottom: 10px;
    text-shadow: 4px 4px 4px rgba(0,0,0,0.4);
    position: relative;
}
.more_synopsis h3:before, .more_trailers h3:before 
{
    content: "";
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    height: 100%;
    width: 8%;
    left: 50%;
    margin-left: -4%;
    border-bottom: solid 4px rgb(182, 20, 197);
}
.more_synopsis p
{
    color: rgb(179, 179, 179);
    background-color: rgba(12, 11, 12, 0.897);
    border-radius: 4px;
    padding: 16px;
    font-size: 0.95em;
    line-height: 1.8em;
    letter-spacing: 1px;
    border: solid 1px rgba(221, 221, 221, 0.267);
    box-shadow: 4px 4px 2px rgba(0, 0, 0, 0.466);
}
.more_video 
{
    display: flex;
    justify-content: center;
    padding: 20px 0;
    background-color: black;
}
.more_video iframe 
{
    height: 315px;
    width: 560px;
    border: solid 1px rgba(255, 255, 255, 0.459);
}

footer 
{
    background: linear-gradient(to bottom,rgb(14, 14, 14),#0c0c0e, #0c0c0e);
    text-align: center;
    padding: 20px 0;
    color: #ddd;
    letter-spacing: 1.5px;
    font-size: 0.9em;
    border-top: 1px solid transparent;
    border-image: linear-gradient(to right,transparent,rgba(255,255,255,0.6),transparent);
    border-image-slice: 1;
}

/* ---- Media Queries ---- */

@media(max-width: 1180px)
{
    .match_list 
    {
        width: 89%;
    }
}
@media(max-width: 1000px)
{
    .bloc_titles h1 
    {
        font-size: 6em;
    }
}
@media(max-width: 940px)
{
    .banniere 
    {
        height: 360px;
    }
    .bloc_titles h1 
    {
        font-size: 5.5em;
        margin: 20px 0 10px 0;
    }
    .bloc_titles h3 
    {
        font-size: 1em;
    }
    .movie_input 
    {
        width: 500px;
        height: 34px;
        font-size: 0.9em;
    }
    .result_title:before 
    {
        bottom: 5px;
    }
    .result_title 
    {
        padding: 14px 20px;
    }
    .result_title h2 
    {
        font-size: 1.8em;
    }
    .result_movies
    {
        grid-template-columns: repeat(4, 1fr);
        gap: 10px;
        grid-auto-rows: minmax(300px, auto);
    }
    .movie_title 
    {
        font-size: 0.55em;
    }
    .movie_date
    {
        font-size: 0.5em;
    }
    .movie_rating
    {
        font-size: 0.85em;
    }
    .movie_info_btn
    {
        margin: 6px 0 14px 0;
        height: 34px;
        width: 60%;
        font-size: 0.8em;
    }
    .pagination_bloc 
    {
        margin: 20px auto 30px auto;
        padding: 3px 10px;
    }
    .pagination_bloc ul li
    {
        margin-right: 5px;
    }
    .page_prev, .page_next
    {
        font-size: 0.8em;
    }
    .page_num 
    {
        padding: 3px 8px;
        font-size: 0.8em;
    }
    .page_first, .page_last 
    {
        padding: 3px 6px;
        font-size: 0.8em;
    }
    footer 
    {
        padding: 18px 0;
        letter-spacing: 1px;
        font-size: 0.8em;
    }
    .rs_fixed div 
    {
        right: -35px;
        height: 45px;
        border-radius: 30px;
        font-size: 1.2em;
    }
    .rs_fixed div:hover 
    {
        right: -25px;
    }
    .rs_fixed .twitter_fix
    {
        top: 108px;
    }
    .rs_fixed .insta_fix 
    {
        top: 156px;
    }
    .rs_fixed .gitHub_fix
    {
        top: 204px;
    }
}
@media(max-width: 800px)
{
    .bloc_titles h1 
    {
        font-size: 4.5em;
    }
}

@media(max-width: 890px) 
{
    /* MORE INFOS - Section */
    .more_title 
    {
        font-size: 1em;
        margin-bottom: 8px;
    }
    .more_infos1 
    {
        padding: 10px;
    }
    .more_pre_page, .popular_pre_page
    {
        top: 66px;
        left: 12px;
        padding: 0px 9px 4px 7px;
        font-size: 0.7em;
    }
    .more_genres 
    {
        padding: 2px 8px 4px 8px;
        font-size: 0.7em;
    }
    .more_infos2_2
    {
        font-size: 0.7em; 
        border-left: solid 3px rgb(160, 20, 179);
    }
    .more_infos2 img 
    {
        height: 60vh;
        border-radius: 8px;
        margin-right: 40px;
    }
    .more_synopsis 
    {
        width: 80vw;
        margin: 0 auto 40px auto;
    }
    .more_synopsis h3 
    {
        font-size: 1.4em;
        letter-spacing: 2px;
        padding-bottom: 6px;
    }
    .more_synopsis h3:before 
    {
        border-bottom: solid 2px rgb(182, 20, 197);
    }
    .more_synopsis p
    {
        padding: 12px;
        font-size: 0.85em;
        line-height: 1.7em;
    }
}
@media(max-width: 760px)
{
    .result_movies
    {
        gap: 8px;
        grid-auto-rows: minmax(100px, auto);
    }
    .movie_title 
    {
        font-size: 0.5em;
    }
    .movie_rating
    {
        font-size: 0.8em;
    }
    .movie_info_btn
    {
        height: 30px;
    }

    .result_title h2 
    {
        font-size: 1.7em;
    }
}

@media(max-width: 730px)
{
    .rs_fixed 
    {
        top: 10px;
    }
    .rs_fixed div 
    {
        height: 36px;
        width: 64px;
        border-radius: 10px 0 0 10px;
        font-size: 1.1em;
        padding: 4px 0 4px 6px;
    }
    .banniere 
    {
        height: 300px;
        padding-top: 20px;
    }
    .bloc_titles 
    {
        margin-bottom: 30px;
    }
    .bloc_titles h1 
    {
        font-size: 4.3em;
        letter-spacing: 6px;
    }
    .bloc_titles h3 
    {
        font-size: 0.9em;
        letter-spacing: 2px;
    }
    .movie_input 
    {
        width: 460px;
    }
    .match_list li 
    {
        font-size: 0.8em;
    }

    .result_movies
    {
        grid-template-columns: repeat(3, 1fr);
        gap: 20px;
        padding: 20px 4%;
    }
    /* MORE INFOS - Section */
    .more_title 
    {
        font-size: 0.8em;
        padding: 12px 10px 10px 10px;
    }
    .more_pre_page, .popular_pre_page
    {
        font-size: 0.65em;
    }
    .more_infos2 img 
    {
        height: 60vh;
        border-radius: 8px;
        margin-right: 20px;
    }
    .more_synopsis h3, .more_trailers h3
    {
        font-size: 1.3em;
    }
    .more_synopsis p
    {
        padding: 8px 12px;
        font-size: 0.82em;
    }
    .more_video iframe 
    {
        height: 215px;
        width: 460px;
    }
}
@media(max-width: 600px)
{
    .rs_fixed div 
    {
        left: -38px;
        height: 34px;
        width: 64px;
        border-radius: 10px;
        font-size: 1em;
        padding: 5px 6px 6px 0;
        text-align: right;
    }
    .rs_fixed div:hover 
    {
        left: -30px;
    }
    .rs_fixed .fb_fix
    {
        top: 68px;
    }
    .rs_fixed .twitter_fix
    {
        top: 109px;
    }
    .rs_fixed .insta_fix 
    {
        top: 150px;
    }
    .rs_fixed .gitHub_fix
    {
        top: 191px;
    }
    .bloc_titles h1 
    {
        font-size: 3.5em !important;
    }
}
@media(max-width: 640px)
{
    .banniere 
    {
        height: 300px;
        padding-top: 6px;
    }
    .bloc_titles h1 
    {
        font-size: 4em;
        letter-spacing: 4px;
    }
    .bloc_titles h3 
    {
        font-size: 0.8em;
    }
    .movie_input 
    {
        width: 420px;
        height: 32px;
        font-size: 0.9em;
    }
    .validate_movie 
    {
        padding: 7px;
        margin-left: 6px;
        font-size: 0.8em;
    }
    .result_title:before 
    {
        bottom: 0px;
        border-bottom: solid 3px rgb(182, 20, 197);
    }
    .result_title 
    {
        padding: 10px 20px;
    }
    .result_title h2 
    {
        font-size: 1.6em;
    }
    .result_movies
    {
        grid-template-columns: repeat(2, 1fr);
        gap: 24px;
        padding: 20px 8%;
    }
    .movie_title 
    {
        font-size: 0.55em;
    }
    .movie_date
    {
        font-size: 0.5em;
    }
    .movie_rating
    {
        font-size: 0.85em;
    }
    .movie_info_btn
    {
        margin: 6px 0 14px 0;
        height: 34px;
        width: 60%;
        font-size: 0.8em;
    }
    .more_pre_page, .popular_pre_page
    {
        padding: 0px 8px 3px 6px;
        font-size: 0.6em;
    }
   .more_genres 
    {
        font-size: 0.65em;
    }
    .more_infos2 
    {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
   .more_infos2_2 h3 
    {
        margin-bottom: 0px;
        padding: 4px;
    }
    .more_infos2 img 
    {
        margin-bottom: 20px;
    }
    .more_synopsis 
    {
        margin: 0 auto 20px auto;
    }
}
@media(max-width: 540px)
{
    .bloc_titles h1 
    {
        font-size: 3.5em;
    }
}
@media(max-width: 560px) 
{
    .bloc_input 
    {
        left: 6px;
    }
    .movie_title 
    {
        font-size: 0.48em;
    }
    .movie_rating
    {
        font-size: 0.8em;
    }
    .movie_info_btn
    {
        height: 30px;
    }
    .pagination_bloc 
    {
        margin: 10px auto 20px auto;
        padding: 1px 10px;
    }
    .pagination_bloc ul li
    {
        margin-right: 5px;
    }
    .page_prev, .page_next
    {
        font-size: 0.75em;
    }
    .page_num 
    {
        padding: 2px 6px;
        font-size: 0.8em;
    }
    .page_first, .page_last 
    {
        padding: 3px 6px;
        font-size: 0.8em;
    }
    footer 
    {
        padding: 14px 0;
        letter-spacing: 1px;
        font-size: 0.75em;
    }
    /* MORE INFOS - Section */
    .more_title 
    {
        font-size: 0.7em;
        padding: 12px 10px 8px 10px;
        border-bottom: 1px solid transparent;
    }
    .more_pre_page, .popular_pre_page
    {
        font-size: 0.5em;
    }
   .more_genres 
    {
        font-size: 0.6em;
    }
    .more_infos2_2
    {
        font-size: 0.65em; 
    } 
   .more_infos2_2 h3 
    {
        margin-bottom: 0px;
        padding: 4px;
    }
    .more_synopsis h3, .more_trailers h3
    {
        font-size: 1.1em;
    }
    .more_synopsis p
    {
        padding: 6px 10px;
        font-size: 0.8em;
        line-height: 1.6em; 
        letter-spacing: 0.5px;
    }
}
@media(max-width: 500px)
{
    .banniere 
    {
        height: 270px;
        padding-top: 0;
    }
    .bloc_titles h1 
    {
        font-size: 3em;
        letter-spacing: 2px;
    }
    .bloc_titles h3 
    {
        font-size: 0.8em;
    }
    .movie_input 
    {
        width: 380px;
        height: 30px;
        font-size: 0.8em;
    }
    .validate_movie 
    {
        padding: 7px;
        margin-left: 6px;
        font-size: 0.7em;
    }
    .result_title:before 
    {
        width: 24%;
        margin-left: -12%;
    }
    .result_title 
    {
        padding: 10px 20px;
    }
    .result_title h2 
    {
        font-size: 1.4em;
        letter-spacing: 2px;
    }
    .more_video iframe 
    {
        height: 215px;
        width: 360px;
    }
}
@media(max-width: 386px)
{
    .rs_fixed 
    {
        top: 0px;
    }
    .banniere 
    {
        height: 226px;
        padding-top: 20px;
    }
    .bloc_titles 
    {
        margin-bottom: 10px;
    }
    .bloc_titles h1 
    {
        font-size: 2.7em;
        letter-spacing: 2px;
    }
    .bloc_titles h3 
    {
        font-size: 0.8em;
    }
    .movie_input 
    {
        width: 300px;
        height: 30px;
        font-size: 0.8em;
    }
    .validate_movie 
    {
        padding: 7px;
        margin-left: 6px;
        font-size: 0.7em;
    }
    .result_movies
    {
        grid-template-columns: repeat(1, 1fr);
        padding: 20px 12%;
        gap: 10px;
    }
    .movie_genres 
    {
        font-size: 0.7em;
    }
    /* MORE INFOS - Section */
    .more_title 
    {
        font-size: 0.6em;
    }
    .more_pre_page, .popular_pre_page
    {
        letter-spacing: 0px;
        font-size: 0.5em;
    }
    .more_infos2 
    {
        padding: 10px 8px 0px 8px;
    }
    .more_infos2 img 
    {
        height: 50vh;
        border-radius: 4px;
    }
    .more_synopsis 
    {
        width: 94vw;
        padding: 10px 0;
    }
    .more_synopsis p
    {
        padding: 6px;
        position: relative;
        left: -5px;
    }
}
@media(max-width: 252px)
{
    .rs_fixed 
    {
        top: 0px;
    }
    .rs_fixed div 
    {
        left: -38px;
        height: 32px;
        width: 62px;
        border-radius: 10px;
        font-size: 0.9em;
        padding: 5px 6px 6px 0;
        text-align: right;
    }
    .rs_fixed div:hover 
    {
        left: -30px;
    }
    .rs_fixed .fb_fix
    {
        top: 68px;
    }
    .rs_fixed .twitter_fix
    {
        top: 104px;
    }
    .rs_fixed .insta_fix 
    {
        top: 140px;
    }
    .rs_fixed .gitHub_fix
    {
        top: 176px;
    }
    .banniere 
    {
        height: 200px;
        padding-top: 20px;
    }
    .bloc_titles 
    {
        margin-bottom: 20px;
    }
    .bloc_titles h1 
    {
        font-size: 2.2em;
        letter-spacing: 1px;
    }
    .bloc_titles h3 
    {
        font-size: 0.7em;
    }
    .movie_input 
    {
        width: 200px;
        font-size: 0.7em;
    }
    .validate_movie 
    {
        font-size: 0.6em;
    }
    .result_title 
    {
        padding: 6px 20px;
    }
    .result_title h2 
    {
        font-size: 1.13em;
        letter-spacing: 1.5px;
    }
    .result_movies
    {
        padding: 10px 6%;
        gap: 6px
    }
    .movie_title 
    {
        font-size: 0.48em;
    }
    .movie_date
    {
        font-size: 0.45em;
    }
    .movie_rating
    {
        font-size: 0.7em;
    }
    .movie_info_btn
    {
        height: 30px;
        width: 80%;
        font-size: 0.7em;
    }
    .pagination_bloc 
    {
        margin: 4px auto 5px auto;
        padding: 0px 5px;
    }
    .pagination_bloc ul li
    {
        margin-right: 2px;
    }
    .page_prev, .page_next
    {
        font-size: 0.7em;
    }
    .page_num 
    {
        padding: 2px 6px;
        font-size: 0.75em;
    }
    .page_first, .page_last 
    {
        padding: 2px 5px;
        font-size: 0.75em;
    }
    footer 
    {
        padding: 8px 0;
        letter-spacing: 0.5px;
        font-size: 0.7em;
    }
    .movie_genres 
    {
        font-size: 0.65em;
    }
    /* MORE INFOS - Section */
    .more_title 
    {
        font-size: 0.54em;
        padding: 12px 8px 6px 8px;
        letter-spacing: 1px;
    }
    .more_pre_page, .popular_pre_page
    {
        letter-spacing: 1px;
    }
    .more_genres 
    {
        font-size: 0.55em;
        border-width: 1px;
    }
    .more_infos2 
    {
        padding: 10px 4px 0px 4px;
    }
    .more_infos2_2
    {
        padding: 6px;
        letter-spacing: 1px;
        font-size: 0.6em; 
    }
    .more_infos2 img 
    {
        height: 40vh;
    }
    .more_synopsis 
    {
        margin: 0 auto 10px auto;
    }
    .more_synopsis h3, .more_trailers h3
    {
        font-size: 0.7em;
        letter-spacing: 2px;
        margin-bottom: 10px;
        padding-bottom: 4px;
    }
    .more_synopsis p
    {
        padding: 8px 6px;
        font-size: 0.77em;
        line-height: 1.4em; 
        position: relative;
        left: -5px;
    }
    .more_video iframe 
    {
        height: 130px;
        width: 260px;
    }
}